package com.mortals.xhx.module.skin.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.skin.model.SkinEntity;

/**
 * SkinService
 * <p>
 * 皮肤 service接口
 *
 * @author zxfei
 * @date 2023-04-03
 */
public interface SkinService extends ICRUDService<SkinEntity, Long> {

    void syncSkin();

    Rest<Void> appUsed(SkinEntity skinEntity, Context context);
}