package com.mortals.xhx.common.pdu.skin;
import java.util.Date;
import java.util.List;
import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;
/**
* 皮肤属性字段配置Pdu对象
*
* @author zxfei
* @date 2023-12-12
*/
@Data
public class SkinFieldPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 皮肤id
    */
    private Long skinId;
    /**
    * 模板id,不为空时为模板配置属性
    */
    private Long templateId;
    /**
    * 字段编码
    */
    private String fieldCode;
    /**
    * 字段名称
    */
    private String fieldName;
    /**
    * 数据类型（1.颜色，2.图片地址）
    */
    private String fieldType;
    /**
    * 字段值
    */
    private String fieldValue;
    /**
    * 数据长度，默认100
    */
    private Integer fieldLen;
    /**
    * 是否允许为空，0否1是
    */
    private Integer fieldNull;
    /**
    * 排序号
    */
    private String fieldOrderNo;
    /**
    * 备注
    */
    private String remark;
    /**
    * 是否启用，0否1是
    */
    private Integer enabled;

public void initAttrValue(){

            this.skinId = null;

            this.templateId = null;

            this.fieldCode = "";

            this.fieldName = "";

            this.fieldType = "";

            this.fieldValue = "";

            this.fieldLen = 100;

            this.fieldNull = 1;

            this.fieldOrderNo = "";

            this.remark = "";

            this.enabled = 1;
    }
}